/*
 * Copyright (c) 2007-2010 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package org.sonatype.sisu.assembler.gshell.internal;

import java.util.List;

import org.sonatype.gshell.command.Command;
import org.sonatype.p2.bridge.IUIdentity;
import org.sonatype.p2.bridge.MetadataRepository;

import com.google.inject.Inject;

@Command( name = "shell/list/installable" )
public class ListInstallableCommandOnSelf
    extends ListInstallableCommand
{

    @Inject
    public ListInstallableCommandOnSelf( final LockedFileSystemAccess fileSystem,
                                         final MetadataRepository metadataRepository,
                                         final LockedRepositoryRegistry repositoryRegistry,
                                         @Latest final List<IUIdentity> latest )
    {
        super( fileSystem, metadataRepository, repositoryRegistry, latest );
    }

}
